Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3
Interface DOMError

public interface DOMError

DOM Level 3 WD Experimental: The DOM Level 3 specification is at the stage of Working Draft, which represents work in progress and thus may be updated, replaced, or obsoleted by other documents at any time.

`DOMError` is an interface that describes an error.

See also the Document Object Model (DOM) Level 3 Core Specification.

Field Summary
`static short` | `SEVERITY_ERROR` The severity of the error described by the `DOMError` is error
`static short` | `SEVERITY_FATAL_ERROR` The severity of the error described by the `DOMError` is fatal error
`static short` | `SEVERITY_WARNING` The severity of the error described by the `DOMError` is warning

Method Summary
`DOMLocator` | `getLocation()` The location of the error.
`java.lang.String` | `getMessage()` An implementation specific string describing the error that occured.
`java.lang.Object` | `getRelatedData()` The related `Error.type` dependent data if any.
`java.lang.Object` | `getRelatedException()` The related platform dependent exception if any.exception is a reserved word, we need to rename it.Change to "relatedException".
`short` | `getSeverity()` The severity of the error, either `SEVERITY_WARNING`, `SEVERITY_ERROR`, or `SEVERITY_FATAL_ERROR`.
`java.lang.String` | `getType()` A `DOMString` indicating which related data is expected in `relatedData`.

Field Detail

### SEVERITY_WARNING

    public static final short SEVERITY_WARNING

  The severity of the error described by the `DOMError` is warning

### SEVERITY_ERROR

    public static final short SEVERITY_ERROR

  The severity of the error described by the `DOMError` is error

### SEVERITY_FATAL_ERROR

    public static final short SEVERITY_FATAL_ERROR

  The severity of the error described by the `DOMError` is fatal error

Method Detail

### getSeverity

    public short getSeverity()

  The severity of the error, either `SEVERITY_WARNING`, `SEVERITY_ERROR`, or `SEVERITY_FATAL_ERROR`.

### getMessage

    public java.lang.String getMessage()

  An implementation specific string describing the error that occured.

### getRelatedException

    public java.lang.Object getRelatedException()

  The related platform dependent exception if any.exception is a reserved word, we need to rename it.Change to "relatedException". (F2F 26 Sep 2001)

### getLocation

    public DOMLocator getLocation()

  The location of the error.

### getRelatedData

    public java.lang.Object getRelatedData()

  The related `Error.type` dependent data if any.

### getType

    public java.lang.String getType()

  A `DOMString` indicating which related data is expected in `relatedData`. Users should refer to the specification of the error in order to find its `DOMString` type and `relatedData` definitions if any. As an example, [DOM Level 3 Load and Save] does not keep the [baseURI] property defined on a Processing Instruction information item. Therefore, the `DOMBuilder` generates a `SEVERITY_WARNING` with `type` `"infoset-baseURI"` and the lost [baseURI] property represented as a `DOMString` in the `relatedData` attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.